---
image: 'node:latest'
stages:
  - build
  - test
cache:
  paths:
    - node_modules/
install_dependencies:
  stage: build
  script:
    - npm install
  artifacts:
    paths:
      - node_modules/
testing_testing:
  stage: test
  script: npm test